SimpleExplicitGroup (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface SimpleExplicitGroup

- All Superinterfaces:
    Annotated, ExplicitGroup, Group, OpenAttrs, XmlObject, XmlTokenSource
  All Known Implementing Classes:
    SimpleExplicitGroupImpl

      public interface SimpleExplicitGroup
      extends ExplicitGroup

  An XML simpleExplicitGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<SimpleExplicitGroup>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Group

      `addNewAll, addNewAny, addNewChoice, addNewElement, addNewGroup, addNewSequence, getAllArray, getAllArray, getAllList, getAnyArray, getAnyArray, getAnyList, getChoiceArray, getChoiceArray, getChoiceList, getElementArray, getElementArray, getElementList, getGroupArray, getGroupArray, getGroupList, getMaxOccurs, getMinOccurs, getName, getRef, getSequenceArray, getSequenceArray, getSequenceList, insertNewAll, insertNewAny, insertNewChoice, insertNewElement, insertNewGroup, insertNewSequence, isSetMaxOccurs, isSetMinOccurs, isSetName, isSetRef, removeAll, removeAny, removeChoice, removeElement, removeGroup, removeSequence, setAllArray, setAllArray, setAnyArray, setAnyArray, setChoiceArray, setChoiceArray, setElementArray, setElementArray, setGroupArray, setGroupArray, setMaxOccurs, setMinOccurs, setName, setRef, setSequenceArray, setSequenceArray, sizeOfAllArray, sizeOfAnyArray, sizeOfChoiceArray, sizeOfElementArray, sizeOfGroupArray, sizeOfSequenceArray, unsetMaxOccurs, unsetMinOccurs, unsetName, unsetRef, xgetMaxOccurs, xgetMinOccurs, xgetName, xgetRef, xsetMaxOccurs, xsetMinOccurs, xsetName, xsetRef`

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<SimpleExplicitGroup> Factory

    - #### type

          static final SchemaType type